## org.apache.lucene.classification
Interface Classifier<T>

All Known Implementing Classes:
  KNearestNeighborClassifier, SimpleNaiveBayesClassifier

    public interface Classifier<T>

A classifier, see `http://en.wikipedia.org/wiki/Classifier_(mathematics)`, which assign classes of type `T`

WARNING: This API is experimental and might change in incompatible ways in the next release.

Method Summary
`ClassificationResult<T>` `assignClass(String text)` Assign a class (with score) to the given text String
`void` `train(AtomicReader atomicReader, String textFieldName, String classFieldName, Analyzer analyzer)` Train the classifier using the underlying Lucene index

Method Detail

### assignClass

    ClassificationResult<T> assignClass(String text)
                                        throws IOException

  Assign a class (with score) to the given text String

  Parameters:
    `text` - a String containing text to be classified
  Returns:
    a `ClassificationResult` holding assigned class of type `T` and score
  Throws:
    `IOException` - If there is a low-level I/O error.

### train

    void train(AtomicReader atomicReader,
               String textFieldName,
               String classFieldName,
               Analyzer analyzer)
               throws IOException

  Train the classifier using the underlying Lucene index

  Parameters:
    `atomicReader` - the reader to use to access the Lucene index
    `textFieldName` - the name of the field used to compare documents
    `classFieldName` - the name of the field containing the class assigned to documents
    `analyzer` - the analyzer used to tokenize / filter the unseen text
  Throws:
    `IOException` - If there is a low-level I/O error.

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.